NX Open C++ Reference Guide
|
Represents a builder for a move face feature, don't use it until nx502. More...
Public Types | |
enum | Types { TypesTranslateDirectionAndDistance, TypesTranslateBetweenTwoPoints, TypesRotateAboutAxis, TypesRotateBetweenTwoAxes } |
the move face types, don't use it until nx502 More... | |
Public Member Functions | |
NXOpen::Expression * | Angle () |
Returns the angle for axis and angle option, don't use it until nx502 Created in NX5.0.2. | |
NXOpen::Axis * | Axis () |
Returns the axis for axis and angle option, don't use it until nx502 Created in NX5.0.2. | |
NXOpen::ModlDirect::SelectBlend * | BlendFaces () |
Returns the face collector holding the all the recognized blend faces adjacent to face to move. | |
bool | Copy () |
Returns the copy option for move face, don't use it until nx502 Created in NX5.0.2. | |
NXOpen::Direction * | Direction () |
Returns the vector for direction and distance option, don't use it until nx502 Created in NX5.0.2. | |
NXOpen::Expression * | Distance () |
Returns the distance for direction and distance option, don't use it until nx502 Created in NX5.0.2. | |
NXOpen::Point * | FromPoint () |
Returns the from point in point to point option in move face, don't use it until nx502 Created in NX5.0.2. | |
NXOpen::Direction * | FromVector () |
Returns the from vector in axis to axis option in move face, don't use it until nx502 Created in NX5.0.2. | |
NXOpen::ScCollector * | MoveFaceCollector () |
Returns the face collector holding the faces to move Created in NX5.0.2. | |
NXOpen::Point * | PivotPoint () |
Returns the pivot point in axis to axis option in move face, don't use it until nx502 Created in NX5.0.2. | |
void | SetAxis (NXOpen::Axis *axis) |
Sets the axis for axis and angle option, don't use it until nx502 Created in NX5.0.2. | |
void | SetCopy (bool copyOption) |
Sets the copy option for move face, don't use it until nx502 Created in NX5.0.2. | |
void | SetDirection (NXOpen::Direction *direction) |
Sets the vector for direction and distance option, don't use it until nx502 Created in NX5.0.2. | |
void | SetFromPoint (NXOpen::Point *fromPoint) |
Sets the from point in point to point option in move face, don't use it until nx502 Created in NX5.0.2. | |
void | SetFromVector (NXOpen::Direction *fromVector) |
Sets the from vector in axis to axis option in move face, don't use it until nx502 Created in NX5.0.2. | |
void | SetPivotPoint (NXOpen::Point *pivotPoint) |
Sets the pivot point in axis to axis option in move face, don't use it until nx502 Created in NX5.0.2. | |
void | SetToPoint (NXOpen::Point *toPoint) |
Sets the to point in point to point option in move face, don't use it until nx502 Created in NX5.0.2. | |
void | SetToVector (NXOpen::Direction *toVector) |
Sets the to vector in axis to axis option in move face, don't use it until nx502 Created in NX5.0.2. | |
void | SetType (NXOpen::Features::MoveFaceBuilder::Types moveType) |
Sets the type, don't use it until nx502 Created in NX5.0.2. | |
NXOpen::Point * | ToPoint () |
Returns the to point in point to point option in move face, don't use it until nx502 Created in NX5.0.2. | |
NXOpen::Direction * | ToVector () |
Returns the to vector in axis to axis option in move face, don't use it until nx502 Created in NX5.0.2. | |
NXOpen::Features::MoveFaceBuilder::Types | Type () |
Returns the type, don't use it until nx502 Created in NX5.0.2. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a builder for a move face feature, don't use it until nx502.
<br> To create a new instance of this class, use @link Features::FeatureCollection::CreateMoveFaceBuilder Features::FeatureCollection::CreateMoveFaceBuilder @endlink <br>
Default values.
Property | Value |
---|---|
Angle.Value |
10.0 |
Distance.Value |
10.0 (millimeters part), 0.4 (inches part) |
Created in NX5.0.2.
the move face types, don't use it until nx502
TypesTranslateDirectionAndDistance |
Direction and Distance for moving the faces. |
TypesTranslateBetweenTwoPoints |
Move faces in the direction and distance defined by the two points. |
TypesRotateAboutAxis |
Move faces by rotating about an axis. |
TypesRotateBetweenTwoAxes |
Move faces by rotating the axis from the first to the second. |
NXOpen::Expression* NXOpen::Features::MoveFaceBuilder::Angle | ( | ) |
Returns the angle for axis and angle option, don't use it until nx502
Created in NX5.0.2.
License requirements : None
NXOpen::Axis* NXOpen::Features::MoveFaceBuilder::Axis | ( | ) |
Returns the axis for axis and angle option, don't use it until nx502
Created in NX5.0.2.
License requirements : None
NXOpen::ModlDirect::SelectBlend* NXOpen::Features::MoveFaceBuilder::BlendFaces | ( | ) |
Returns the face collector holding the all the recognized blend faces adjacent to face to move.
It is auto recognized blends + user selected blends - user excluded blends, don't use it until nx502
Created in NX5.0.2.
License requirements : None
bool NXOpen::Features::MoveFaceBuilder::Copy | ( | ) |
Returns the copy option for move face, don't use it until nx502
Created in NX5.0.2.
License requirements : None
NXOpen::Direction* NXOpen::Features::MoveFaceBuilder::Direction | ( | ) |
Returns the vector for direction and distance option, don't use it until nx502
Created in NX5.0.2.
License requirements : None
NXOpen::Expression* NXOpen::Features::MoveFaceBuilder::Distance | ( | ) |
Returns the distance for direction and distance option, don't use it until nx502
Created in NX5.0.2.
License requirements : None
NXOpen::Point* NXOpen::Features::MoveFaceBuilder::FromPoint | ( | ) |
Returns the from point in point to point option in move face, don't use it until nx502
Created in NX5.0.2.
License requirements : None
NXOpen::Direction* NXOpen::Features::MoveFaceBuilder::FromVector | ( | ) |
Returns the from vector in axis to axis option in move face, don't use it until nx502
Created in NX5.0.2.
License requirements : None
NXOpen::ScCollector* NXOpen::Features::MoveFaceBuilder::MoveFaceCollector | ( | ) |
Returns the face collector holding the faces to move
Created in NX5.0.2.
License requirements : None
NXOpen::Point* NXOpen::Features::MoveFaceBuilder::PivotPoint | ( | ) |
Returns the pivot point in axis to axis option in move face, don't use it until nx502
Created in NX5.0.2.
License requirements : None
void NXOpen::Features::MoveFaceBuilder::SetAxis | ( | NXOpen::Axis * | axis | ) |
Sets the axis for axis and angle option, don't use it until nx502
Created in NX5.0.2.
License requirements : solid_modeling ("SOLIDS MODELING")
axis | axis |
void NXOpen::Features::MoveFaceBuilder::SetCopy | ( | bool | copyOption | ) |
Sets the copy option for move face, don't use it until nx502
Created in NX5.0.2.
License requirements : solid_modeling ("SOLIDS MODELING")
copyOption | copy option |
void NXOpen::Features::MoveFaceBuilder::SetDirection | ( | NXOpen::Direction * | direction | ) |
Sets the vector for direction and distance option, don't use it until nx502
Created in NX5.0.2.
License requirements : solid_modeling ("SOLIDS MODELING")
direction | direction |
void NXOpen::Features::MoveFaceBuilder::SetFromPoint | ( | NXOpen::Point * | fromPoint | ) |
Sets the from point in point to point option in move face, don't use it until nx502
Created in NX5.0.2.
License requirements : solid_modeling ("SOLIDS MODELING")
fromPoint | the from point |
void NXOpen::Features::MoveFaceBuilder::SetFromVector | ( | NXOpen::Direction * | fromVector | ) |
Sets the from vector in axis to axis option in move face, don't use it until nx502
Created in NX5.0.2.
License requirements : solid_modeling ("SOLIDS MODELING")
fromVector | the from vector |
void NXOpen::Features::MoveFaceBuilder::SetPivotPoint | ( | NXOpen::Point * | pivotPoint | ) |
Sets the pivot point in axis to axis option in move face, don't use it until nx502
Created in NX5.0.2.
License requirements : solid_modeling ("SOLIDS MODELING")
pivotPoint | the pivot point |
void NXOpen::Features::MoveFaceBuilder::SetToPoint | ( | NXOpen::Point * | toPoint | ) |
Sets the to point in point to point option in move face, don't use it until nx502
Created in NX5.0.2.
License requirements : solid_modeling ("SOLIDS MODELING")
toPoint | the to point |
void NXOpen::Features::MoveFaceBuilder::SetToVector | ( | NXOpen::Direction * | toVector | ) |
Sets the to vector in axis to axis option in move face, don't use it until nx502
Created in NX5.0.2.
License requirements : solid_modeling ("SOLIDS MODELING")
toVector | the to vector |
void NXOpen::Features::MoveFaceBuilder::SetType | ( | NXOpen::Features::MoveFaceBuilder::Types | moveType | ) |
Sets the type, don't use it until nx502
Created in NX5.0.2.
License requirements : solid_modeling ("SOLIDS MODELING")
moveType | the move face type |
NXOpen::Point* NXOpen::Features::MoveFaceBuilder::ToPoint | ( | ) |
Returns the to point in point to point option in move face, don't use it until nx502
Created in NX5.0.2.
License requirements : None
NXOpen::Direction* NXOpen::Features::MoveFaceBuilder::ToVector | ( | ) |
Returns the to vector in axis to axis option in move face, don't use it until nx502
Created in NX5.0.2.
License requirements : None
NXOpen::Features::MoveFaceBuilder::Types NXOpen::Features::MoveFaceBuilder::Type | ( | ) |
Returns the type, don't use it until nx502
Created in NX5.0.2.
License requirements : None